Returns a paginated list of account requests.

Required scopes: accounts-read

Query Parameters
  • dateFrom
    Type: string

    The date from when the request is created

  • dateTo
    Type: string

    The date up until when the request is created

  • status
    Type: string

    The status of the request. Allowed values: ["Pending", "Completed"]

  • limit
    Type: integer Format: int32

    Signed 32-bit integers (commonly used integer type).

  • offset
    Type: integer Format: int32

    Signed 32-bit integers (commonly used integer type).

Responses
  • 401

    Unauthorized

  • 403

    Forbidden

Request Example for get/v1/accounts/requests
curl https://stage-api.openmarkets.com.au/v1/accounts/requests
{
  "metadata": {
    "links": {
      "self": "https://api.openmarkets.com.au/v1/accounts/requests?limit=10&offset=0",
      "next": null,
      "previous": null
    },
    "limit": 10,
    "offset": 0,
    "total": 2
  },
  "results": [
    {
      "id": "8f2b6c14-9d0a-4e35-b7c8-2a1f5d3e7b46",
      "requestType": "HinStockTransfer",
      "status": "Pending",
      "subStatus": "AwaitingDocuments",
      "accountNumber": "111888",
      "createdAtUtc": "2025-06-11T23:45:12Z"
    },
    {
      "id": "3c7d9e02-41ab-4f68-8d55-6b90c2e4a173",
      "requestType": "SrnStockTransfer",
      "status": "Completed",
      "subStatus": null,
      "accountNumber": "111888",
      "createdAtUtc": "2025-05-02T01:19:44Z"
    }
  ]
}